# Created by pyp2rpm-3.0.0
%global pypi_name virtualenv-api
%global underscore_name virtualenv_api

# test suite is disabled default for koji builds,
# because the tests require internet connection.
%global run_test_suite 0

Name:           python-%{pypi_name}
Version:        2.1.9
Release:        %mkrel 3
Summary:        An API for virtualenv/pip
Group:          Development/Python
License:        BSD
URL:            https://github.com/sjkingo/virtualenv-api
Source0:        %{pypi_name}-%{version}.tar.gz

# Add tests and LICENSE missing in sources
Patch0:         add_tests_license.patch

BuildArch:      noarch
 
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-virtualenv
BuildRequires:  python-six
BuildRequires:  python-pip
BuildRequires:  git
 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-virtualenv
BuildRequires:  python3-six
BuildRequires:  python3-pip

%description
virtualenv-api - an API for virtualenv
Tool to create isolated Python environments. Unfortunately, 
it does not expose a native Python API. This package aims to 
provide an API in the form of a wrapper around virtualenv.

%package -n     python2-%{pypi_name}
Summary:        An API for virtualenv/pip
Provides:       python-%{pypi_name} = %{version}-%{release}
Group:          Development/Python
Requires:       python-six
Requires:       python-virtualenv
Requires:       python-pip
%description -n python2-%{pypi_name}
virtualenv-api - an API for virtualenv
Tool to create isolated Python environments. Unfortunately, 
it does not expose a native Python API. This package aims to 
provide an API in the form of a wrapper around virtualenv.

%package -n     python3-%{pypi_name}
Summary:        An API for virtualenv/pip
Group:          Development/Python
Requires:       python3-six
Requires:       python3-virtualenv
Requires:       python3-pip
%description -n python3-%{pypi_name}
virtualenv-api - an API for virtualenv
Tool to create isolated Python environments. Unfortunately, 
it does not expose a native Python API. This package aims to 
provide an API in the form of a wrapper around virtualenv.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%if 0%{run_test_suite}
%check
%{__python3} setup.py test
%endif # run_test_suite

%files -n python2-%{pypi_name} 
%license LICENSE
%doc README.rst
%{python2_sitelib}/virtualenvapi
%{python2_sitelib}/%{underscore_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name} 
%license LICENSE
%doc README.rst
%{python3_sitelib}/virtualenvapi
%{python3_sitelib}/%{underscore_name}-%{version}-py?.?.egg-info



%changelog
* Thu Dec 01 2016 ngompa <ngompa> 2.1.9-3.mga6
+ Revision: 1071363
- imported package python-virtualenv-api

